<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex flex-col">
  <div *ngIf="!file" class="w-full grow">
    <p-fileUpload
      name="myfile[]"
      [multiple]="false"
      [maxFileSize]="2000000000"
      [auto]="true"
      [customUpload]="true"
      (onSelect)="onFileUpload($event)"
      chooseLabel="Choose file"
      chooseIcon="pi pi-folder-open"
      styleClass="w-full h-full"
      mode="advanced"
    >
      <ng-template pTemplate="content">
        <div class="w-full h-full px-4">
          <div
            [ngClass]="[
              'w-full h-full border-2 rounded-sm items-center justify-center',
              over ? ' border-secondary-900' : ' border-text-300 border-dashed'
            ]"
            (dragover)="over = true"
            (dragleave)="over = false"
          >
            <div class="w-full h-full">
              <div class="flex flex-col items-center justify-center w-full h-full">
                <i class="pi pi-file-import" style="font-size: 2rem"></i>
                <div class="text-sm font-medium"><span class="font-bold">Choose file</span> or drag it here</div>
              </div>
            </div>
          </div>
        </div>
      </ng-template>
      <ng-template let-file pTemplate="file"> </ng-template>
    </p-fileUpload>
  </div>
  <div *ngIf="file" class="w-full grow flex flex-col gap-4 items-center justify-center bg-white rounded-sm">
    <div class="flex flex-col gap-1 items-center justify-center size-40 card text-text-500">
      <i class="pi pi-file" style="font-size: 4rem"></i>
      <div class="font-semibold">{{ file.type }}</div>
    </div>
    <div>{{ file.name }}</div>
    <div class="flex items-center gap-2">
      <p-button label="Change" severity="secondary" [outlined]="true" icon="pi pi-sync" (onClick)="change()"></p-button>
      <p-button label="Remove" severity="danger" [outlined]="true" icon="fa fa-trash-can" (onClick)="clear()"></p-button>
    </div>
  </div>
</div>
